commit:     2634f3b4d5a52eaf03132e44240d163d4bf1b710
Author:     Thomas Andrejak <thomas.andrejak <AT> gmail <DOT> com>
AuthorDate: Sun Aug 27 09:27:21 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep  8 07:32:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2634f3b4

dev-libs/libprelude: Bump version 4.0.0

Closes: https://bugs.gentoo.org/612076

 dev-libs/libprelude/Manifest                       |  1 +
 .../libprelude-4.0.0-fix-python-bindings.patch     | 38 +++++++++
 dev-libs/libprelude/libprelude-4.0.0.ebuild        | 92 ++++++++++++++++++++++
 3 files changed, 131 insertions(+)

diff --git a/dev-libs/libprelude/Manifest b/dev-libs/libprelude/Manifest
index a1b27cce1e7..d036f5c2d92 100644
--- a/dev-libs/libprelude/Manifest
+++ b/dev-libs/libprelude/Manifest
@@ -1,2 +1,3 @@
 DIST libprelude-3.0.0.tar.gz 2900153 SHA256 
8dd1acdd49ec42b3c54642c33987c574ced43b92feb9a523998e07317434cec2 SHA512 
a1fd51aa3bb1b68759a00dd1636cb96379f0e954a66f4e39887ab20a5b4c191a0455dd6bd5f41b20ad94d06fff59af7f89b258f42e1c0dd4cfc99185a77d1797
 WHIRLPOOL 
5ee5a90d0448c8079977dbf84a5c3650bc00aff8c6fe4355a7926313b2364824281d2fea898d92e80bc8b7cb17190c6f7e36b2c9de2ebc62f8b4411417541d58
 DIST libprelude-3.1.0.tar.gz 2949462 SHA256 
b8fbaaa1f2536bd54a7f69fe905ac84d936435962c8fc9de67b2f2b375c7ac96 SHA512 
f2878b19b4ba3cc74b0530f8741525ecf1425540d30356d182c4e0a797dbb5f4023792351bd059105dafc6b7818d4caa2e9c8b39be9a7039a89680244fcf1239
 WHIRLPOOL 
0507f1f90606b90159979180402c00a7a22f0b531f4df0b8606cdfce51dbd734578e2920564adc56d3675858dcd481f9a12106384e9244aa8dee569e63d0bb84
+DIST libprelude-4.0.0.tar.gz 2864402 SHA256 
f339fb664b5e4e4c8d1a80d93c3f9356d90f9a2de51936f87d5aee9691e15fc0 SHA512 
5d88e8f211b09cc3e43dbe299e935d8f11575ae3f1894059793966cd14a8e47177ef8963d45305e1a24f9efc4048520329b31681301a21815909bd38606c2ce7
 WHIRLPOOL 
76d1cdc8bacdae7cda43a78746bbae3a4d652cda24732c728d93b711645f3083cc6657480c13a6a410115e788619dd7698357415b78e297ef1c887baf2024ebb

diff --git 
a/dev-libs/libprelude/files/libprelude-4.0.0-fix-python-bindings.patch 
b/dev-libs/libprelude/files/libprelude-4.0.0-fix-python-bindings.patch
new file mode 100644
index 00000000000..7336b620045
--- /dev/null
+++ b/dev-libs/libprelude/files/libprelude-4.0.0-fix-python-bindings.patch
@@ -0,0 +1,38 @@
+--- a/bindings/python/Makefile.am      2017-07-17 12:03:05.653000000 +0200
++++ b/bindings/python/Makefile.am      2017-09-06 18:51:57.179778549 +0200
+@@ -9,35 +9,6 @@
+ all-am: python-build
+ 
+ python-build: _prelude.cxx
+-if HAVE_PYTHON2
+-      CC="$(CXX)" $(PYTHON2) setup.py build
+-endif
+-if HAVE_PYTHON3
+-      CC="$(CXX)" $(PYTHON3) setup.py build
+-endif
+-install-exec-hook:
+-if HAVE_PYTHON2
+-      $(PYTHON2) setup.py install `test -n "$(DESTDIR)" && echo --root 
$(DESTDIR)` --prefix @prefix@
+-endif
+-if HAVE_PYTHON3
+-      $(PYTHON3) setup.py install `test -n "$(DESTDIR)" && echo --root 
$(DESTDIR)` --prefix @prefix@
+-endif
+-
+-uninstall-hook:
+-if HAVE_PYTHON2
+-      $(PYTHON2) setup.py uninstall `test -n "$(DESTDIR)" && echo --root 
$(DESTDIR)` --prefix @prefix@
+-endif
+-if HAVE_PYTHON3
+-      $(PYTHON3) setup.py uninstall `test -n "$(DESTDIR)" && echo --root 
$(DESTDIR)` --prefix @prefix@
+-endif
+-
+-clean-local:
+-if HAVE_PYTHON2
+-      $(PYTHON2) setup.py clean -a
+-endif
+-if HAVE_PYTHON3
+-      $(PYTHON3) setup.py clean -a
+-endif
+ 
+ _prelude.cxx prelude.py: $(top_srcdir)/bindings/c++/include/*.hxx 
$(top_srcdir)/bindings/libpreludecpp.i libpreludecpp-python.i 
+ if HAVE_SWIG

diff --git a/dev-libs/libprelude/libprelude-4.0.0.ebuild 
b/dev-libs/libprelude/libprelude-4.0.0.ebuild
new file mode 100644
index 00000000000..c906506de8b
--- /dev/null
+++ b/dev-libs/libprelude/libprelude-4.0.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+DISTUTILS_OPTIONAL=1
+
+inherit autotools distutils-r1 ruby-single
+
+DESCRIPTION="Prelude-SIEM Framework Library"
+HOMEPAGE="https://www.prelude-siem.org";
+SRC_URI="https://www.prelude-siem.org/pkg/src/${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="lua perl python ruby"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="net-libs/gnutls:=
+       lua? ( dev-lang/lua:* )
+       perl? ( dev-lang/perl:= virtual/perl-ExtUtils-MakeMaker )
+       python? ( ${PYTHON_DEPS} )
+       ruby? ( ${RUBY_DEPS} )"
+
+DEPEND="${RDEPEND}
+       >=dev-lang/swig-3.0.7
+       dev-util/gtk-doc-am
+       sys-devel/flex
+       virtual/pkgconfig
+       virtual/yacc"
+
+PATCHES=(
+       "${FILESDIR}/${P}-fix-python-bindings.patch"
+)
+
+src_prepare() {
+       default
+
+       # Avoid null runpaths in Perl bindings.
+       sed -e 's/ LD_RUN_PATH=""//' -i "${S}/bindings/Makefile.am" || die "sed 
failed"
+
+       eautoreconf
+
+       if use python; then
+               cd bindings/python || die
+               distutils-r1_src_prepare
+       fi
+}
+
+src_configure() {
+       local myconf=(
+               --enable-easy-bindings 
+               --with-swig
+               $(use_with lua)
+               $(use_with perl)
+               $(usex perl '--with-perl-installdirs=vendor' '')
+               $(use_with ruby)
+       )
+
+       if use python; then
+           python_setup
+               if python_is_python3; then
+                       myconf+=(--without-python2 --with-python3="${EPYTHON}")
+               else
+                       myconf+=(--without-python3 --with-python2="${EPYTHON}")
+               fi
+       else
+               myconf+=($(use_with python python2) $(use_with python python3))
+       fi
+
+       econf "${myconf[@]}"
+}
+
+src_compile() {
+       default
+       if use python; then
+               cd bindings/python || die
+               distutils-r1_src_compile
+       fi
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+       if use python; then
+               cd bindings/python || die
+               distutils-r1_src_install
+       fi
+}

Reply via email to